#!/usr/bin/env groovy

node {
    stage('checkout') {
        checkout scm
    }

    stage('check node') {
        sh "node -v"
    }

    stage('check npm') {
        sh "npm -v"
    }

    stage('npm install') {
        sh "npm install"
    }

    stage('packaging') {
        sh "npm run build"
    }

    stage('deploy') {
        sh "kill \$(lsof -t -i:6509) > /dev/null 2> /dev/null || : "
        sh "cd ./dist/ && http-server -p 6509"
    }
}
